windows 7

Why the freedome tells that it cant be installed cause "version is not supported. the system have to be windows 7 or newer", but I´m running with windows 7 with all the updates.

Also I have uninstalled the program with the f-secure tool twenty times, also tried to install it with and without the admin privilidges.

Thank for your time.

Comments

  • LakshLaksh Posts: 4,442 Community Manager

    Hi qwe,

     

    Have you tried to download the latest version of the installer from our website and retry the installation? Could you please post the error message here as a screenshot?

This discussion has been closed.